<?php
namespace Claromentis\Infocapture\UI;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_d3b2122e727b24e302" . "9add87aa541df6" => base64_decode("aW5mb2NhcHR1cm" . "UvVUkvYWxsX3Jl" . "cG9ydHNfaWNvbi" . "5odG1s"), "_b6994edb1" . "9ee8e38970" . "be4ca846e3" . "33a" => base64_decode("YWxsX3JlcG" . "9ydHNfbGlu" . "a3MudmlzaW" . "JsZQ=="));
use TemplaterComponentTmpl;








class AllReportsIcon extends TemplaterComponentTmpl
{
    public function Show($attributes)
    {
        $args = array();
        $_7619e74fb7252ad8bb1e971cf69702f0 = new \HDProjectsList();
        $_7619e74fb7252ad8bb1e971cf69702f0->SetPermsChecking(HD_PERM_REPORTS);
        if ($_7619e74fb7252ad8bb1e971cf69702f0->GetCount() > 0) {
            $args[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_b6994edb1" . "9ee8e38970" . "be4ca846e3" . "33a"]] = 1;
        }
        $template = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d3b2122e727b24" . "e3029add87aa541" . "df6"];
        return $this->CallTemplater($template, $args);
    }
}